Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
radm::PowerDeviceManager Interface Reference

## Classes
struct | PowerDeviceAddedEvent
| Event: A power device was added. More...
struct | PowerDeviceChangedEvent
| Event: A power device was added or removed. More...
struct | PowerDeviceRemovedEvent
| Event: A power device was removed. More...
struct | Settings
struct | SettingsChangedEvent
| Event: Manager settings changed. More...

## Public Member Functions
map< string, PowerDevice > | getPowerDevices ()
| Get configured power devices.
int | addPowerDevice (in PowerDevice::Settings settings)
| Add a new power device (PDU)
int | deletePowerDevice (in string host)
| Remove the given power device (PDU)
Settings | getSettings ()
| Get global power device settings.
int | setSettings (in Settings settings)
| Set global power device settings.

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1
| Invalid argument.
constant int | ERR_PDU_ALREADY_EXISTS = 2
| A PDU with that host name already exists.
constant int | ERR_MAX_PDUS_REACHED = 3
| Maximum number of pdus reached.
constant int | ERR_PDU_NOT_FOUND = 4
| A PDU with that host name does not exist.

## Detailed Description

Definition at line 9 of file PowerDeviceManager.idl.

## Member Function Documentation

## ◆ addPowerDevice()

int radm::PowerDeviceManager::addPowerDevice | ( | in PowerDevice::Settings | settings | ) |

Add a new power device (PDU)

Parameters

  settings | Settings for creating the new power device

Returns
  0 on success
  1 if any given setting was invalid
  2 if a PDU with that host name or name already exists
  3 if the maximum number of PDUs is reached
  101..106 in case of an SNMP error during PDU connection (see constants in `PowerDevice`

## ◆ deletePowerDevice()

int radm::PowerDeviceManager::deletePowerDevice | ( | in string | host | ) |

Remove the given power device (PDU)

Parameters

  host | Host name of the PDU to be removed

Returns
  0 on success
  4 if there is no PDU with that host name

## ◆ getPowerDevices()

map< string, PowerDevice > radm::PowerDeviceManager::getPowerDevices | ( |  | ) |

Get configured power devices.

Returns
  Map of configured power devices, keyed by host name

## ◆ getSettings()

Settings radm::PowerDeviceManager::getSettings | ( |  | ) |

Get global power device settings.

Returns
  Settings

## ◆ setSettings()

int radm::PowerDeviceManager::setSettings | ( | in Settings | settings | ) |

Set global power device settings.

Parameters

  settings | New settings

Returns
  0 on success
  1 if any setting was invalid

## Member Data Documentation

## ◆ ERR_INVALID_ARGUMENT

constant int radm::PowerDeviceManager::ERR_INVALID_ARGUMENT = 1

Invalid argument.

Definition at line 10 of file PowerDeviceManager.idl.

## ◆ ERR_MAX_PDUS_REACHED

constant int radm::PowerDeviceManager::ERR_MAX_PDUS_REACHED = 3

Maximum number of pdus reached.

Definition at line 12 of file PowerDeviceManager.idl.

## ◆ ERR_PDU_ALREADY_EXISTS

constant int radm::PowerDeviceManager::ERR_PDU_ALREADY_EXISTS = 2

A PDU with that host name already exists.

Definition at line 11 of file PowerDeviceManager.idl.

## ◆ ERR_PDU_NOT_FOUND

constant int radm::PowerDeviceManager::ERR_PDU_NOT_FOUND = 4

A PDU with that host name does not exist.

Definition at line 13 of file PowerDeviceManager.idl.

The documentation for this interface was generated from the following file:

- PowerDeviceManager.idl